com.verisign.epp.codec.orgext

## Class EPPOrgExtAddRemChg

- java.lang.Object
- - com.verisign.epp.codec.orgext.EPPOrgExtAddRemChg

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPOrgExtAddRemChg
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPOrgExtAddRemChg` is used to define the organization ids to either add, remove, or change. The `EPPOrgextAddRemChg` can take zero or more organization ids along with the action using the `EPPOrgExtAddRemChg.Action` enumeration.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EPPOrgExtAddRemChg.Action` Update action, which includes: ADD - Add the org identifiers.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_ADD_NAME` XML root tag for `EPPOrgExtAddRemChg` add action
    `static java.lang.String` | `ELM_CHG_NAME` XML root tag for `EPPOrgExtAddRemChg` change action
    `static java.lang.String` | `ELM_REM_NAME` XML root tag for `EPPOrgExtAddRemChg` remove action

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPOrgExtAddRemChg()` Default constructor for `EPPOrgExtAddRemChg`.
    `EPPOrgExtAddRemChg(EPPOrgExtAddRemChg.Action aAction)` Constructor for `EPPOrgExtAddRemChg` that takes the action.
    `EPPOrgExtAddRemChg(EPPOrgExtAddRemChg.Action aAction, EPPOrgExtId aOrgId)` Constructor for `EPPOrgExtAddRemChg` that takes the action and a single organization id.
    `EPPOrgExtAddRemChg(EPPOrgExtAddRemChg.Action aAction, java.util.List<EPPOrgExtId> aOrgIds)` Constructor for `EPPOrgExtAddRemChg` that takes the action and a list of organization ids.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOrgId(EPPOrgExtId aOrgId)` Add a organization id to the list of organization ids.
    `java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
    `void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPOrgExt` with this instance.
    `EPPOrgExtAddRemChg.Action` | `getAction()` Gets the update action to take.
    `java.lang.String` | `getElmName()` Gets the element name of the root element of the add, remove, or change.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.util.List<EPPOrgExtId>` | `getOrgIds()` Returns the list of organization ids.
    `boolean` | `hasOrgIds()` Are there any organization ids?
    `void` | `setAction(EPPOrgExtAddRemChg.Action aAction)` Sets the update action to take.
    `void` | `setOrgIds(java.util.List<EPPOrgExtId> aOrgIds)` Sets the organization ids.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_ADD_NAME

          public static final java.lang.String ELM_ADD_NAME

      XML root tag for `EPPOrgExtAddRemChg` add action
      See Also:
        Constant Field Values

    - #### ELM_REM_NAME

          public static final java.lang.String ELM_REM_NAME

      XML root tag for `EPPOrgExtAddRemChg` remove action
      See Also:
        Constant Field Values

    - #### ELM_CHG_NAME

          public static final java.lang.String ELM_CHG_NAME

      XML root tag for `EPPOrgExtAddRemChg` change action
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPOrgExtAddRemChg

          public EPPOrgExtAddRemChg()

      Default constructor for `EPPOrgExtAddRemChg`.

    - #### EPPOrgExtAddRemChg

          public EPPOrgExtAddRemChg(EPPOrgExtAddRemChg.Action aAction)

      Constructor for `EPPOrgExtAddRemChg` that takes the action.
      Parameters:
        `aAction` - Update action to take using the `Action` enumerated values.

    - #### EPPOrgExtAddRemChg

          public EPPOrgExtAddRemChg(EPPOrgExtAddRemChg.Action aAction,
                                    EPPOrgExtId aOrgId)

      Constructor for `EPPOrgExtAddRemChg` that takes the action and a single organization id.
      Parameters:
        `aAction` - Update action to take using the `Action` enumerated values.
        `aOrgId` - Org identifier

    - #### EPPOrgExtAddRemChg

          public EPPOrgExtAddRemChg(EPPOrgExtAddRemChg.Action aAction,
                                    java.util.List<EPPOrgExtId> aOrgIds)

      Constructor for `EPPOrgExtAddRemChg` that takes the action and a list of organization ids.
      Parameters:
        `aAction` - Update action to take using the `Action` enumerated values.
        `aOrgIds` - Org identifiers

  - ### Method Detail

    - #### getElmName

          public java.lang.String getElmName()

      Gets the element name of the root element of the add, remove, or change.
      Returns:
        Root element with the appropriate XML namespace prefix if action is defined; "undefined" otherwise.

    - #### getAction

          public EPPOrgExtAddRemChg.Action getAction()

      Gets the update action to take.
      Returns:
        the update action using the `Action` enumerated values.

    - #### setAction

          public void setAction(EPPOrgExtAddRemChg.Action aAction)

      Sets the update action to take.
      Parameters:
        `aAction` - Update action using the `Action` enumerated values.

    - #### hasOrgIds

          public boolean hasOrgIds()

      Are there any organization ids?
      Returns:
        `true` if there organization ids; `false` otherwise.

    - #### getOrgIds

          public java.util.List<EPPOrgExtId> getOrgIds()

      Returns the list of organization ids. An empty list indicates that there are no organization ids.
      Returns:
        List of organization ids.

    - #### setOrgIds

          public void setOrgIds(java.util.List<EPPOrgExtId> aOrgIds)

      Sets the organization ids.
      Parameters:
        `aOrgIds` - The list of organization ids. Set to `null` or an empty list to indicate that there are no organization ids.

    - #### addOrgId

          public void addOrgId(EPPOrgExtId aOrgId)

      Add a organization id to the list of organization ids.
      Parameters:
        `aOrgId` - organization id to add to the list of organization ids.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document, which acts is an Element factory
      Returns:
        Element Root element associated with the object
      Throws:
        `EPPEncodeException` - Error encoding `EPPOrgExtAddRemChg`

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - `Element` to decode
      Throws:
        `EPPDecodeException` - Error decoding `Element`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPOrgExt`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPOrgExt` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.